package com.heckmansoft.surjey.controller.action;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.apache.log4j.Logger;

/**
 * Action to enable deleting a survey.
 */
public class DeleteSurveyAction extends SurveyAction {

    Logger log = Logger.getLogger(DeleteSurveyAction.class);

    public DeleteSurveyAction(Object source) {
        super(source);
    }

    /**
     * @see com.heckmansoft.surjey.controller.action.Action#execute(HttpServletRequest, HttpServletResponse)
     */
    public String execute(
        HttpServletRequest request,
        HttpServletResponse response)
    throws Exception {
        log.debug("execute()");

        // Get the survey id from the request
        String id = (String) request.getParameter("surveyId");

        // Delete the survey
        surveyManager.remove(id);

        Action forward = new ListSurveysAction(this.source);
        return forward.execute(request,response);
    }

}
